[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Request for review: festival 1.96 update



I posted about this on the maintainers list the other day, and I figure I
should open up to a wider audience too.

I'm working on new Festival packages, which among other things splits the
voices out so we can take up less room on the livecd. (4.7M instead of 24M.)

See <https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=festival1.96> for
details (and get packages from <http://mattdm.org/misc/festival/>, as
mentioned there).

I think at this point the packages are pretty much good to go, and I think
David Zeuthen is going to put them into rawhide soon (hopefully before the
feature freeze). But more eyes would be good.

Some notes:

rpmlint complains:

W: festival-devel no-dependency-on festival
W: festival-speechtools-devel no-dependency-on festival-speechtools

which is intentional -- there's deps on the corresponding -lib/-libs
packages instead.

There's a zillion subpackages; my intention is to change to separate source
RPMs in some future incarnation. (This is why I went ahead and split out
festival-devel and festival-speech-tools-devel at this point.)

Also, I note that the package is a mashup of licenses. I think they're all
various compatible MIT/BSD-style (and the documentation takes pains to note
that everything is under free and compatible licenses), but someone should
look at that. Preferably not me. :)


-- 
Matthew Miller           mattdm mattdm org          <http://mattdm.org/>
Boston University Linux      ------>              <http://linux.bu.edu/>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]